%define languageenglazy Esperanto
%define languagecode    eo
%define lc_ctype        eo

%define upstream_release 0.3.dev
%define rel             11

Name:           hunspell-%{languagecode}
Version:        1.0
Release:        %mkrel %{upstream_release}.%{rel}
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv3
Group:          System/Internationalization
URL:            http://extensions.services.openoffice.org/project/literumilo
Source0:        http://extensions.services.openoffice.org/files/3377/1/1.0-dev.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-eo
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       dictionary-%{languagecode}
#Provides:       dictionary-%{lc_ctype}
#for Esperanto lc_ctype = languagecode
#Provides:       hunspell-%{lc_ctype} = %{version}-%{release}

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-eo_EO < 1.0.3
Provides:       myspell-eo_EO

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.

%prep
%setup -q -c

%build
chmod -x *.{dic,aff}

%install
#readme, license
echo "Spell-checking dictionary for Esperanto developed by Marek Blahuš in the E@I organization, funded by Esperantic Studies Foundation and the Students' Research and Development Projects scholarship of the Faculty of Informatics of the Masaryk University (project no. MUNI33/212008)." > README_%{lc_ctype}.txt

#hunspell dictionaries
install -D -m 0644 -p literumilo.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p literumilo.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_%{lc_ctype}.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.0-0.3.dev.11.mga6
+ Revision: 942727
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-0.3.dev.10.mga5
+ Revision: 749776
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-0.3.dev.9.mga5
+ Revision: 680230
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1.0-0.3.dev.8.mga4
+ Revision: 505552
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0-0.3.dev.7.mga3
+ Revision: 353441
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.0-0.3.dev.6.mga3
+ Revision: 325246
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 1.0-0.3.dev.5.mga2
+ Revision: 224618
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 1.0-0.3.dev.4.mga2
+ Revision: 207711
- use better obsoleting of myspell

* Fri Jan 13 2012 kamil <kamil> 1.0-0.3.dev.3.mga2
+ Revision: 195611
- remove requirement on locales
- hunspell is now suggested not required

* Sat Jan 07 2012 kamil <kamil> 1.0-0.3.dev.2.mga2
+ Revision: 193018
- use generic providing: dictionary-*
- add Mageia values to enchant-dictionary
- add obsoletes on the myspell-eo myspell dictionaries
- use %%{upstream_release} macro
- define standarized hunspell dictionary headers
- clean spec
- don't remove "x" attribute from a directory in the sources
- add requirement on locales-%%{languagecode}
- add provides enchant-dictionary, hunspell-dictionary and hunspell-%%{lc_ctype}
- set AutoReqProv value to "no"
- install additional README file for the dictionary
- install dictionaries into /usr/share/hunspell/
- add symlinks to the dictionaries into /usr/share/myspell (backward compatibility)

* Sat Mar 12 2011 dmorgan <dmorgan> 1.0-0.3.dev.1.mga1
+ Revision: 68739
- imported package hunspell-eo


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.3.dev
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 09 2010 Caolan McNamara <caolanm@redhat.com> - 1.0-0.2.dev
- drop buildrequire

* Thu Dec 03 2009 Caolan McNamara <caolanm@redhat.com> - 1.0-0.1.dev
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20041129-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20041129-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 02 2008 Caolan McNamara <caolanm@redhat.com> - 0.20041129-1
- initial version
